Bug 525886 - system-config-boot is not starting
Summary: system-config-boot is not starting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-boot
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 17:28 UTC by Alexey Torkhov
Modified: 2010-12-04 07:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:38:04 UTC


Attachments (Terms of Use)
Fedora 11 system-config-boot crash report (6.63 KB, text/plain)
2009-11-09 01:40 UTC, Hart
no flags Details

Description Alexey Torkhov 2009-09-26 17:28:51 UTC
Starting results in crash:

# system-config-boot 
Component: system-config-boot
Version: 0.4.0
Summary: TBf47ec079 boot_gui.py:93:setupScreen:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/share/system-config-boot/system-config-boot.py", line 93, in <module>
    app.stand_alone()
  File "/usr/share/system-config-boot/boot_gui.py", line 163, in stand_alone
    self.setupScreen()
  File "/usr/share/system-config-boot/boot_gui.py", line 93, in setupScreen
    (self.probedBoot, self.probedTimeout, kernels) = readBootDB()
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
p: None
self: <boot_gui.BootWindow instance at 0xa55ab8>
adj: <gtk.Adjustment object at 0xa52eb0 (GtkAdjustment at 0xb77320)>


Version-Release number of selected component (if applicable):
system-config-boot-0.4.0-1.fc12.x86_64

Comment 1 Hart 2009-11-09 01:40:28 UTC
Created attachment 368106 [details]
Fedora 11 system-config-boot crash report

I just installed Fedora 11 and needed to edit the bootloader to include my WinXP system. Started system-config-boot which resulted in a crash. Have edited grub.conf manually instead.

Comment 2 Hart 2009-11-09 02:27:14 UTC
I noticed in my attachment that the kudzu module was not present. I installed kudzu and this has remedied the situation. system-config-boot now works correctly.

Comment 3 Harald Hoyer 2009-11-09 09:16:34 UTC
(In reply to comment #1)
> Created an attachment (id=368106) [details]
> Fedora 11 system-config-boot crash report
> 
> I just installed Fedora 11 and needed to edit the bootloader to include my
> WinXP system. Started system-config-boot which resulted in a crash. Have edited
> grub.conf manually instead.  

yes, but updating system-config-boot would have helped also. This is a different crash, than the original reported one.

Comment 4 Bug Zapper 2009-11-16 12:59:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-11-04 09:48:15 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-04 07:38:04 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.